<ion-header>
    <ion-toolbar>
        <ion-icon (click)="back()" name="chevron-back-outline" class="back-icon" style="position: unset;"></ion-icon>
        <ion-title class="ion-text-center">Leader Board</ion-title>
    </ion-toolbar>
</ion-header>
<ion-content>
    <div class="text-center">
        <ion-grid>
            <ion-row>
                <ion-col size="1">

                </ion-col>

                <ion-col size="10" *ngIf="leaderBoard?.length">
                    <ion-row class="bg-primary">
                        <ion-col size="3">
                            User Name
                        </ion-col>
                        <ion-col size="3">
                           Email
                        </ion-col>
                        <ion-col size="3">
                            Phone
                         </ion-col>
                        <ion-col size="3">
                           Rank
                        </ion-col>
                    </ion-row>
                    <ion-row class="c-row" *ngFor="let item of leaderBoard; let i=index">
                        <ion-col size="3">
                           {{item.name}}
                        </ion-col>
                        <ion-col size="3">
                            {{item.email}}
                        </ion-col>
                        <ion-col size="3">
                            {{item.phone_number}}
                        </ion-col>
                        <ion-col size="3">
                           {{item.rank}}
                        </ion-col>
                    </ion-row>
                   
                </ion-col>

                <ion-col size="1">

                </ion-col>
            </ion-row>
        </ion-grid>
    </div>

</ion-content>